1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Can i use downgrade 2.71 (TA-082) on non TA-082 psp

Discussion in 'Sony PSP - Mod and firmware discussion' started by ricojeans, Jan 9, 2007.

  1. ricojeans

    ricojeans Member

    Joined:
    Nov 3, 2006
    Messages:
    76
    Likes Received:
    0
    Trophy Points:
    16
    can i use easy downgrade 2.71(TA-082) on PSP 2.71 Non TA-082??
     
  2. skit

    skit Regular member

    Joined:
    Sep 24, 2006
    Messages:
    220
    Likes Received:
    0
    Trophy Points:
    26
    Why don't you use the 2.71 Generic Downgrader instead? It's a much easier process, and safer in my opinion. >_>
     

Share This Page